| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Friends | List of all members
Ogre::RTShader::ProgramSet Class Reference
Optional Components » RTShaderSystem

Container class for shader based programs. More...

`#include <OgreShaderProgramSet.h>`

Inheritance diagram for Ogre::RTShader::ProgramSet:
[legend]

## Public Member Functions
| ProgramSet ()
| Class default constructor. More...
| ~ProgramSet ()
| Class destructor. More...
Program * | getCpuFragmentProgram ()
Program * | getCpuProgram (GpuProgramType type) const
| Get the shader CPU program. More...
Program * | getCpuVertexProgram ()
GpuProgramPtr | getGpuFragmentProgram ()
const GpuProgramPtr & | getGpuProgram (GpuProgramType type) const
| Get the shader GPU program. More...
GpuProgramPtr | getGpuVertexProgram ()

## Friends
class | ProgramManager
class | TargetRenderState

## Detailed Description

Container class for shader based programs.

Holds both a CPU representation and GPU representation of vertex and fragment program.

## Constructor & Destructor Documentation

## ◆ ProgramSet()

Ogre::RTShader::ProgramSet::ProgramSet | ( |  | ) |

Class default constructor.

## ◆ ~ProgramSet()

Ogre::RTShader::ProgramSet::~ProgramSet | ( |  | ) |

Class destructor.

## Member Function Documentation

## ◆ getCpuProgram()

Program* Ogre::RTShader::ProgramSet::getCpuProgram | ( | GpuProgramType | type | ) | const

Get the shader CPU program.

## ◆ getGpuProgram()

const GpuProgramPtr& Ogre::RTShader::ProgramSet::getGpuProgram | ( | GpuProgramType | type | ) | const

Get the shader GPU program.

## ◆ getCpuVertexProgram()

Program* Ogre::RTShader::ProgramSet::getCpuVertexProgram | ( |  | ) |
| inline

Deprecated:

References Ogre::GPT_VERTEX_PROGRAM.

## ◆ getCpuFragmentProgram()

Program* Ogre::RTShader::ProgramSet::getCpuFragmentProgram | ( |  | ) |
| inline

Deprecated:

References Ogre::GPT_FRAGMENT_PROGRAM.

## ◆ getGpuVertexProgram()

GpuProgramPtr Ogre::RTShader::ProgramSet::getGpuVertexProgram | ( |  | ) |
| inline

Deprecated:

References Ogre::GPT_VERTEX_PROGRAM.

## ◆ getGpuFragmentProgram()

GpuProgramPtr Ogre::RTShader::ProgramSet::getGpuFragmentProgram | ( |  | ) |
| inline

Deprecated:

References Ogre::GPT_FRAGMENT_PROGRAM.

## Friends And Related Function Documentation

## ◆ ProgramManager

friend class ProgramManager
| friend

## ◆ TargetRenderState

friend class TargetRenderState
| friend

The documentation for this class was generated from the following file:

- OgreShaderProgramSet.h